<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 

show_title('site.png', 'Письмо Администратору');
$config['newtitle'] = 'Письмо Администратору';

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

  echo '<div class="form">';
  echo '<form method="post" action="index.php?act=send&amp;' . SID . '">';

  if (!is_user()) {
    echo 'Ваше имя:<br /><input name="name" maxlength="20" /><br />';
    echo 'Ваш E-mail:<br /><input name="umail" maxlength="50" /><br />';
  } else {
    if (empty($udata['users_email'])) {
      echo 'Ваш E-mail:<br /><input name="umail" maxlength="50" /><br />';
    } 
  } 

  echo 'Сообщение:<br />';
  echo '<textarea cols="25" rows="5" name="body"></textarea><br />';

  echo 'Проверочный код: ';
  if ($config['protectimg'] == 1) {
    echo '<img src="../gallery/protect.php?' . SID . '" alt="" /><br />';
  } else {
    echo '<b>' . $_SESSION['protect'] . '</b><br />';
  } 

  echo '<input name="provkod" maxlength="6" /><br />';
  echo '<input value="Отправить" type="submit" /></form></div><br />';

  echo 'Обновите страницу если вы не видите проверочный код!<br /><br />';
  break;
# ###########################################################################################
# #                                    Отправка сообщения                                  ##
# ###########################################################################################
case 'send':

  $body = check($_POST['body']);
  $provkod = (int)$_POST['provkod'];
  if (isset($_POST['name'])) {
    $name = check($_POST['name']);
  } else {
    $name = '';
  } 
  if (isset($_POST['umail'])) {
    $umail = check($_POST['umail']);
  } else {
    $umail = '';
  } 

  if (is_user()) {
    $name = $log;

    if (!empty($udata['users_email'])) {
      $umail = $udata['users_email'];
    } 
  } 

  if ($_SESSION['protect'] == $provkod) {
    if (utf_strlen($name) >= 3 && utf_strlen($name) <= 50) {
      if (utf_strlen($body) >= 5 && utf_strlen($body) <= 5000) {
        if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#', $umail)) {
          unset($_SESSION['protect']);

          if (empty($config['sendmail'])) {
            addmail($config['emails'], "Письмо с сайта " . $config['title'], "Ip: $ip \nБраузер: $brow \nОтправлено: " . date('j.m.Y / H:i', SITETIME) . "\n\nСообщение: \n" . $body, $umail, $name);
          } else {
            if (check_user($config['nickname'])) {
              $textpriv = 'Письмо администратору от пользователя [b]' . $name . '[/b]!<br />E-mail: ' . $umail . '<br />Сообщение: ' . $body;
              DB :: $dbh -> query("INSERT INTO `inbox` (`inbox_user`, `inbox_author`, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($config['nickname'], $config['nickname'], $textpriv, SITETIME));
              DB :: $dbh -> query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?;", array($config['nickname']));
            } else {
              show_error('Ошибка! Не удалось отправить письмо администратору так как его профиля не существует!');
            } 
          } 

          $_SESSION['note'] = 'Ваше письмо успешно отправлено!';
          header ("Location: index.php?" . SID);
          exit;
        } else {
          show_error('Вы ввели неверный адрес e-mail, необходим формат name@site.domen!');
        } 
      } else {
        show_error('Слишком длинное или короткое сообшение, необходимо от 5 до 5000 символов!');
      } 
    } else {
      show_error('Слишком длинное или короткое имя, необходимо от 3 до 50 символов!');
    } 
  } else {
    show_error('Проверочное число не совпало с данными на картинке!');
  } 

  echo '<img src="../images/img/back.gif" alt="image" /> <a href="index.php?' . SID . '">Вернуться</a><br />';
  break;

default:
  header("location: index.php?" . SID);
  exit;
  endswitch;

  echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';

  include_once "../themes/" . $config['themes'] . "/foot.php";

  ?>